package example.gridplugin;

import schedframe.scheduling.plugin.grid.GlobalSchedulingPlugin;
import schedframe.scheduling.plugin.grid.ModuleList;
import test.rewolucja.GSSIMJobInterface;
import test.rewolucja.resources.manager.interfaces.ResourceManagerInterface;
import test.rewolucja.scheduling.queue.Queue;
import test.rewolucja.scheduling.queue.QueueList;
import test.rewolucja.task.JobList;

public abstract class BaseGlobalPlugin implements GlobalSchedulingPlugin {

	public int placeJobsInQueues(JobList newJobs, QueueList queues, ResourceManagerInterface resourceManager,
			ModuleList moduleList) {

		// get the first queue from all available queues.
		Queue queue = queues.get(0);

		for (int i = 0; i < newJobs.size(); i++) {
			GSSIMJobInterface<?> task = newJobs.get(i);
			queue.add(task);
		}

		return 0;
	}
}
